services:
  flask_app:
    build:
      context: .  # 构建上下文为当前目录
      dockerfile: Dockerfile  # 指定 Dockerfile
    ports:
      - "5000:5000"  # 将容器的5000端口映射到主机的5000端口
    env_file:
      - .env  # 使用 .env 文件中的环境变量
    volumes:
#      - .:/flask_project  # 将当前目录挂载到容器的 /flask_project 目录（可选，便于开发时实时更新代码）
      - /home/Z/zbparse_output_dev:/flask_project/flask_app/static/output  # 额外的数据卷挂载
    restart: unless-stopped  # 容器退出时自动重启，除非明确停止
    mem_limit: "16g"          # 容器最大可使用内存为16GB
    mem_reservation: "4g"    # 容器保证可使用内存为4GB
    cpus: 4.0                # 限制容器使用4个CPU核心
    security_opt:
      - seccomp:unconfined

#    如果单独服务器的话，注释以下，不做限制：
#    mem_limit: "16g"         # 容器最大可使用内存为8GB
#    mem_reservation: "4g"    # 容器保证可使用内存为4GB
#    cpus: 4.0                # 限制容器使用2个CPU核心